Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	raw image manipulation utility
Name:      	ufraw
Version:   	0.13
Release:   	2
Provides:	%{name}
Provides:	dcraw
License: 	GNU/GPL
URL:		http://ufraw.sourceforge.net/
Group:     	Graphics
Source0: 	%{name}-%{version}.tar.gz
#Patch0:		%{name}-0.10-desktop.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	libjpeg-devel
BuildRequires: 	libtiff-devel
BuildRequires:  libpng-devel
#BuildRequires: 	libexif-devel
BuildRequires: 	lcms-devel
BuildRequires: 	gimp-devel
BuildRequires: 	atk-devel
BuildRequires: 	cairo-devel
BuildRequires: 	gtk2+-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires: 	pango-devel
BuildRequires:  glibc-devel
BuildRequires:  libstdc++-devel
BuildRequires:	exiv2-devel
BuildRequires:  zlib-devel


%description
The Unidentified Flying Raw (UFRaw) is a utility to read and manipulate raw images
from digital cameras. It can be used on its own or as a Gimp plug-in.
It reads raw images using Dave Coffin's raw conversion utility - DCRaw.
UFRaw supports basic color management using Little CMS, allowing the user to
apply color profiles. For Nikon users UFRaw has the advantage that it can read the
camera's tone curves. Even if you don't own a Nikon, you can still apply
a Nikon curve to your images.

%prep
%setup -n %{name}-%{version}
#%patch0 -p1

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--with-exiv2 \
--enable-extras
make

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT
mkdir -p %{buildroot}%_applications
install -m 644 ufraw.desktop %{buildroot}%{_applications}/ufraw.desktop

%files
%defattr(-,root,root)
%_bindir
%_libdir
%_mandir
%_applications
%_pixmaps
%_datadir/locale

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Sep 02 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.13-2
- rebuilt against exiv2 0.17.1
* Tue Jan 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.13-1
- version update
* Fri Jul 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.11-2
- rebuilt against exiv2 1.5
* Wed Mar 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.11-1
- version update
* Wed Dec 27 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.10-1
- version update
* Wed Aug 30 2006 Karsten Brockmann  <arcam@ccux-linux.de> 0.9.1-1
- version update
* Sat Aug 05 2006 Karsten Brockmann  <arcam@ccux-linux.de> 0.9-1
- version update
* Sun May 07 2006 Christian Wasem <wasem@ccux-linux.de> 0.8-2
- rebuilt without exiv2 support
* Fri May 05 2006 Christian Wasem <wasem@ccux-linux.de> 0.8-1
- Update to Version 0.8
* Wed Apr 05 2006 Christian Wasem <wasem@ccux-linux.de> 0.7-3
- rebuilt, tweaked specfile, added .desktop patch
* Sat Mar 11 2006 Karsten Brockmann  <arcam@ccux-linux.de> 0.7-2
- rebuilt against libexif 0.6.13
* Fri Mar 10 2006 Karsten Brockmann  <arcam@ccux-linux.de> 0.7-1
- Initial Release
